@use "../../../../scss/vars";

:host {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: .5rem;
  color: vars.$color-orange-200;
  opacity: .3;

  &::ng-deep {
    svg {
      width: 100%;
      height: 100%;
    }
  }
}

app-svg {
  width: 100%;
}

.size {
  border-radius: 100%;
  width: 1.875rem;
  height: 1.875rem;
  display: flex;
  align-items: center;
  justify-content: center;
  color: vars.$color-orange-200;
}

:host-context([size="S"]) {
  width: 2.5rem;
  height: 2.5rem;
}

:host-context([size="M"]) {
  width: 3.25rem;
  height: 3.25rem;
}

:host-context([size="L"]) {
  width: 5rem;
  height: 5rem;
}

:host-context([size="XL"]) {
  width: 6.125rem;
  height: 6.125rem;
}

:host-context([active="true"]) {
  opacity: 1;
  color: vars.$color-orange-100;

  .size {
    background-color: vars.$color-orange-200;
    color: vars.$color-grey-200;
  }
}
